osgTerrain::TerrainTile::TileLoadedCallback Struct Referenceabstract

`#include <TerrainTile>`

Inheritance diagram for osgTerrain::TerrainTile::TileLoadedCallback:

## Public Member Functions

virtual bool | deferExternalLayerLoading () const =0
virtual void | loaded (osgTerrain::TerrainTile *tile, const osgDB::ReaderWriter::Options *options) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Callback for post processing loaded TerrainTile, and for filling in missing elements such as external external imagery.

## Member Function Documentation

## deferExternalLayerLoading()

virtual bool osgTerrain::TerrainTile::TileLoadedCallback::deferExternalLayerLoading | ( |  | ) | const

pure virtual

Implemented in osgTerrain::WhiteListTileLoadedCallback.

## loaded()

virtual void osgTerrain::TerrainTile::TileLoadedCallback::loaded | ( | osgTerrain::TerrainTile * | tile,
|  | const osgDB::ReaderWriter::Options * | options ) const

pure virtual

Implemented in osgTerrain::WhiteListTileLoadedCallback.

The documentation for this struct was generated from the following file:

- TerrainTile